modd.conf {}

**/*.rs Cargo.* {
  prep: cargo test
  prep: cargo build
  prep: debug/init-version
  #prep: cargo run --bin test
}

target/debug/init Dockerfile {
  prep: docker build --network host -t novit-initrd-gen .
  prep: docker run --net=host --rm novit-initrd-gen |base64 -d >dist/initrd.new
  prep: mv dist/initrd.new dist/initrd
  prep: ls -sh dist/initrd
}
